#
# spec file for package devkitadv (Version r1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         devkitadv
Copyright:    GPL
Group:        Development
#Requires:     xforms
Autoreqprov:  on
Version:      r1
Release:      23
Summary:      The Unofficial GameBoy Advance Software Development Kit
Source: agb-linux-source-%{version}.zip
Source1: binutils-2.11.2.tar.bz2
Source2: gcc-3.0.1.tar.bz2
Source3: newlib-1.9.0.tar.bz2
Patch:  agb-linux-source-%{version}.dif
NoSource: 2

%description
This is a complete GNU toolchain (binutils and gcc) for creating code for the GameBoy Advance. You can find information, documentation on the GBA platform as well as example source code at the following web sites:
http://www.io.com/~fenix/devkitadv/
http://www.devrs.com/gba/
http://www.gbadev.org/
http://www.gbacode.net/

Authors:
--------
    Jason Wilkins <fenix@io.com> 
    Jeff Frohwein 
    Tom Badran <tb100@doc.ic.ac.uk> 
    

SuSE series: d

%prep
%setup -n agb-linux-source-%{version} -c -T
unzip %{SOURCE0}
cp -v %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch

%build
test -e /bin/strip || ln -s /usr/bin/strip /bin
make

%install
make install
mv /opt/devkitadv/man/man1/* %{_mandir}/man1
install -m 755 dist/bin2o.sh /opt/devkitadv/bin

%files
%doc README Changelog
%dir /opt/devkitadv
/opt/devkitadv/arm-agb-elf
/opt/devkitadv/bin
/opt/devkitadv/include
/opt/devkitadv/info
/opt/devkitadv/lib
%docdir /opt/devkitadv/man
%docdir /opt/devkitadv/man/man1
/opt/devkitadv/share
/opt/devkitadv/binutils.install
#/opt/devkitadv/binutils.lst
/opt/devkitadv/gcc.install
#/opt/devkitadv/gcc.lst
#/opt/devkitadv/libstdcpp.lst
%doc %{_mandir}/man1/arm-agb-elf-*.1.gz
#/opt/devkitadv/newlib.lst

%changelog -n devkitadv
* Thu Sep 13 2001 - ro@suse.de
- mark gcc-3.0.1 as NoSource, no need to duplicate here
* Mon Sep 03 2001 - uli@suse.de
- initial package
